List saved destinations
GET
https://octopus.livepush.io/streams/me/destinations
Base URL https://octopus.livepush.io — Core Streams & Media APIs
Returns the list of saved streaming destinations owned by the authenticated user.
Saved destinations can be used for multistreaming and may include platforms such as YouTube, Facebook, or custom RTMP endpoints.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
GET
https://octopus.livepush.io/streams/me/destinations
— This call only reads data.
Code samples
curl -X GET 'https://octopus.livepush.io/streams/me/destinations' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://octopus.livepush.io/streams/me/destinations', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
}
response = requests.get('https://octopus.livepush.io/streams/me/destinations', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()
Responses
List of saved destinations
Array of StreamDestination.
-
idstring -
appNamestring -
labelstring -
rtmpBasestring -
oauthDestinationOAuthConfig-
keepDefaultTitlesboolean -
titlesSourcestringoriginalstream-titlescustom -
titlestring -
descriptionstring -
privacystring -
autoStartboolean -
autoStopboolean -
rewindboolean -
plannedStartTimestring<date-time> -
metadataobject -
userAppDetailsobject
-
-
updatedAtstring<date-time> -
isPinnedboolean -
isDisabledboolean
[
{
"id": "pb_xxxxxxxxx",
"appName": "youtube",
"label": "string",
"rtmpBase": "string",
"oauth": {
"keepDefaultTitles": false,
"titlesSource": "original",
"title": "string",
"description": "string",
"privacy": "string",
"autoStart": false,
"autoStop": false,
"rewind": false,
"plannedStartTime": "2026-01-31T09:00:00.000Z",
"metadata": {},
"userAppDetails": {}
},
"updatedAt": "2026-01-31T09:00:00.000Z",
"isPinned": false,
"isDisabled": false
}
]
Unauthorized